#!/bin/ash
#181202 sfs
I(){
mkdir -p "$HOME/.icewm" &&
echo "\
DesktopBackgroundImage=\"$f\"
DesktopBackgroundCenter=1
DesktopBackgroundScaled=1
DesktopBackgroundColor=\"$c\"
" > "$p"

#icewmbg -q
icewmbg &
sleep 0.5
icewmbg -q
#exit 0
}
p="$HOME/.icewm/preferences" 
#[ -f "$p" ] && I

cd /usr/share/backgrounds
#ntf -f "*.png|*.jpg|*.svg"
if [ "$1" ];then
    f="$1"
else
    f="`ntf -c "Выберите файл обоев рабочего стола *.png *.jpg *.svg"`" || exit 1
    c=black ; I
fi

if [ "$2" ];then
#    c="#000000"
    c="$2"
else
    ntf -i "Выберите" "цвет фона" &
    if [ "`which gcolor3`" ];then
        c="`gcolor3`" || exit 1
    else
        c="`colorsel`" || exit 1
    fi
fi



mkdir -p "$HOME/.config/autostart" &&
echo "\
[Desktop Entry]
Type=Application
Icon=desktop
Name=Обои
Comment=Обои (когда не используется раб.стол файл-менеджера или WM)
Exec=sleep.sh 5 icewmbg.sh \"$f\" \"$c\"
" > "$HOME/.config/autostart/wallpaper.desktop"

I

